Agent Invocations
Get an agent invocation
Retrieves the invocation with the given ID. Returns 404 if the agent does not support this operation or if the invocation ID is not found.
Параметры пути
agent_name
string
обязательно
The name of the agent.
invocation_id
string
обязательно
The unique identifier of the invocation.
Параметры заголовка
x-ms-user-identity
string
Opaque per-user identity string used to scope endpoint-scoped data to a specific end user. The caller must have the agents/endpoints/UserIdentityImpersonation/action RBAC permission.
Параметры запроса
api-version
string
обязательно
The API version to use for this operation.
Ответы
The request has succeeded.
Заголовки
x-agent-session-id
string
обязательно
Session ID for this invocation. Returns the session ID associated with the invocation.
Текст
Запрос
GET /agents/{agent_name}/endpoint/protocols/invocations/{invocation_id} HTTP/1.1
Response
Status: 200
Content-Type: */*
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json